package com.sxyz.rfid.presenter.model;

/**
 * @Description: 版本更新
 * @Author: chunyuan.wu
 * @CreateDate: 2024/11/28 16:28
 * @Version: 1.0
 */
public class ApkModel {


    /**
     * msg : 操作成功
     * code : 200
     * data : {"createBy":"","createTime":"2024-11-20 14:23:10","updateBy":"admin","updateTime":"2024-11-22 16:41:37","remark":"","id":1,"versionName":"测试","verionCode":"1.0.1","updateLog":"3645345345","apkUrl":"/profile/upload/2024/11/25/law_1.0.1_20241125155801A001.apk","apkSize":null,"createById":0}
     */

    private String msg;
    private int code;
    private DataBean data;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * createBy :
         * createTime : 2024-11-20 14:23:10
         * updateBy : admin
         * updateTime : 2024-11-22 16:41:37
         * remark :
         * id : 1
         * versionName : 测试
         * verionCode : 1.0.1
         * updateLog : 3645345345
         * apkUrl : /profile/upload/2024/11/25/law_1.0.1_20241125155801A001.apk
         * apkSize : null
         * createById : 0
         */

        private String createBy;
        private String createTime;
        private String updateBy;
        private String updateTime;
        private String remark;
        private int id;
        private String versionName;
        private String verionCode;
        private String updateLog;
        private String apkUrl;
        private Object apkSize;
        private int createById;

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateBy() {
            return updateBy;
        }

        public void setUpdateBy(String updateBy) {
            this.updateBy = updateBy;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getVersionName() {
            return versionName;
        }

        public void setVersionName(String versionName) {
            this.versionName = versionName;
        }

        public String getVerionCode() {
            return verionCode;
        }

        public void setVerionCode(String verionCode) {
            this.verionCode = verionCode;
        }

        public String getUpdateLog() {
            return updateLog;
        }

        public void setUpdateLog(String updateLog) {
            this.updateLog = updateLog;
        }

        public String getApkUrl() {
            return apkUrl;
        }

        public void setApkUrl(String apkUrl) {
            this.apkUrl = apkUrl;
        }

        public Object getApkSize() {
            return apkSize;
        }

        public void setApkSize(Object apkSize) {
            this.apkSize = apkSize;
        }

        public int getCreateById() {
            return createById;
        }

        public void setCreateById(int createById) {
            this.createById = createById;
        }
    }
}
